Bug 1119376 - Warning about OVF disk when creating a domain
Summary: Warning about OVF disk when creating a domain
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Maor
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 15:58 UTC by Gilad Chaplik
Modified: 2016-05-26 01:47 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0-beta2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:31:09 UTC
oVirt Team: Storage


Attachments (Terms of Use)
event_log (75.03 KB, image/png)
2014-07-14 15:58 UTC, Gilad Chaplik
no flags Details
engine-log (195.79 KB, text/x-log)
2014-07-14 15:59 UTC, Gilad Chaplik
no flags Details
vdsm-log-3-3 (2.38 MB, text/x-log)
2014-07-14 16:02 UTC, Gilad Chaplik
no flags Details
vdsm-log-3-4 (10.11 MB, text/x-log)
2014-07-14 16:03 UTC, Gilad Chaplik
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30061 None None None Never
oVirt gerrit 30205 ovirt-engine-3.5 MERGED core: Use audit log only when failed to use retrieve command. Never
oVirt gerrit 30206 ovirt-engine-3.5 MERGED core: Added log when retrieving entities from tar Never

Description Gilad Chaplik 2014-07-14 15:58:38 UTC
Created attachment 917900 [details]
event_log

Description of problem:
see attachment

Version-Release number of selected component (if applicable):
master (July 14th)

Steps to Reproduce:
1. create SD (may be import... according to image can be both)
2. see event log


Actual results:
"Fail to retrieve ... " in event log

Expected results:
no message

Comment 1 Gilad Chaplik 2014-07-14 15:59:17 UTC
Created attachment 917903 [details]
engine-log

Comment 2 Gilad Chaplik 2014-07-14 16:02:10 UTC
Created attachment 917906 [details]
vdsm-log-3-3

Comment 3 Gilad Chaplik 2014-07-14 16:03:17 UTC
Created attachment 917907 [details]
vdsm-log-3-4

Comment 4 Maor 2014-07-15 08:03:51 UTC
when we attached the Storage Domain to the DC, we try to fetch OVF_STORE disks to get the previous vms and templates.
GetImagesListVDSCommand, search for those OVF_STORE disks in the storage domain, and it returned an empty list, means that we did not had any OVF_STORE disks in this storage domain.
So as the audit log mentioned, we Failed to retrieve VMs and Templates from the OVF disk of Storage Domain data3.

Comment 5 Maor 2014-07-15 08:08:39 UTC
I think that only in the scenario when we don't have any OVF_STORE disks on the storage domain, it will be better to avoid the audit log and only print out a warning log.

Comment 6 Ori Gofen 2014-08-10 12:20:41 UTC
Gilad,can please provide detailed step to reproduce?

Comment 7 Gilad Chaplik 2014-08-10 12:28:17 UTC
(In reply to Ori from comment #6)
> Gilad,can please provide detailed step to reproduce?

iirc, simply attaching a SD.

Comment 8 Ori Gofen 2014-08-10 13:43:18 UTC
verified on rc1 per comment #6.

Steps taken:
1. attach a SD

no message , "Fail to retrieve..." ,appeared on UI

Comment 9 Sandro Bonazzola 2014-10-17 12:31:09 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.